"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
const GlobalSetting_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/GlobalSetting.vue2.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      const _component_n_input = runtimeCore_esmBundler.resolveComponent("n-input");
      const _component_n_switch = runtimeCore_esmBundler.resolveComponent("n-switch");
      const _component_n_text = runtimeCore_esmBundler.resolveComponent("n-text");
      const _component_n_space = runtimeCore_esmBundler.resolveComponent("n-space");
      const _component_n_color_picker = runtimeCore_esmBundler.resolveComponent("n-color-picker");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(GlobalSetting_vue_vue_type_script_setup_true_lang.default), { optionData: __props.optionData }, null, 8, ["optionData"]),
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
          name: "胶囊柱图",
          expanded: ""
        }, {
          default: runtimeCore_esmBundler.withCtx(() => [
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "布局" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "左侧边距" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.paddingLeft,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => __props.optionData.paddingLeft = $event),
                      min: 10,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "右侧边距" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.paddingRight,
                      "onUpdate:value": _cache[1] || (_cache[1] = ($event) => __props.optionData.paddingRight = $event),
                      min: 10,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "每块高度(px)" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.itemHeight,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => __props.optionData.itemHeight = $event),
                      min: 0,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "文本" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "所有文字大小" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                      value: __props.optionData.valueFontSize,
                      "onUpdate:value": _cache[3] || (_cache[3] = ($event) => __props.optionData.valueFontSize = $event),
                      min: 0,
                      step: 1,
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "单位" }, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_input, {
                      value: __props.optionData.unit,
                      "onUpdate:value": _cache[4] || (_cache[4] = ($event) => __props.optionData.unit = $event),
                      size: "small"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                  default: runtimeCore_esmBundler.withCtx(() => [
                    runtimeCore_esmBundler.createVNode(_component_n_space, null, {
                      default: runtimeCore_esmBundler.withCtx(() => [
                        runtimeCore_esmBundler.createVNode(_component_n_switch, {
                          value: __props.optionData.showValue,
                          "onUpdate:value": _cache[5] || (_cache[5] = ($event) => __props.optionData.showValue = $event),
                          size: "small"
                        }, null, 8, ["value"]),
                        runtimeCore_esmBundler.createVNode(_component_n_text, null, {
                          default: runtimeCore_esmBundler.withCtx(() => [
                            runtimeCore_esmBundler.createTextVNode("显示数值")
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "颜色" }, {
              default: runtimeCore_esmBundler.withCtx(() => [
                (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(__props.optionData.colors, (item, index) => {
                  return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(SettingItem.default), {
                    key: index,
                    name: `颜色${index}`
                  }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                        value: __props.optionData.colors[index],
                        "onUpdate:value": ($event) => __props.optionData.colors[index] = $event,
                        size: "small",
                        modes: ["hex"]
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1032, ["name"]);
                }), 128))
              ]),
              _: 1
            })
          ]),
          _: 1
        })
      ], 64);
    };
  }
});
exports.default = _sfc_main;
